summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/init_slapd.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-08-22 01:32:29 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:16:22 -0500
commit35817c01a87f4bda0f492144a56d39a99bc07eb1 (patch)
tree6495a245745b48a3b9fffb13934a0681aacfae1d /source4/lib/ldb/tests/init_slapd.sh
parent862ba2617205832d4d5f0db07c54c4cc436a0f3d (diff)
downloadsamba-35817c01a87f4bda0f492144a56d39a99bc07eb1.tar.gz
samba-35817c01a87f4bda0f492144a56d39a99bc07eb1.tar.bz2
samba-35817c01a87f4bda0f492144a56d39a99bc07eb1.zip
r17679: - fix 'make test-ldap' to skip ldb specials
- allow ldb to be built in a separate build directory, using: /some/path/to/ldb/configure make this will make it much easier to put ldb in the build farm without interfering with the build farm builds of tdb and talloc (This used to be commit 580ed6730d33bad62e9799a38377c40f2852ae89)
Diffstat (limited to 'source4/lib/ldb/tests/init_slapd.sh')
-rwxr-xr-xsource4/lib/ldb/tests/init_slapd.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/source4/lib/ldb/tests/init_slapd.sh b/source4/lib/ldb/tests/init_slapd.sh
index fc1ed16a4c..c50ea0ecab 100755
--- a/source4/lib/ldb/tests/init_slapd.sh
+++ b/source4/lib/ldb/tests/init_slapd.sh
@@ -1,5 +1,10 @@
#!/bin/sh
+if [ -z "$LDBDIR" ]; then
+ LDBDIR=`dirname $0`/..
+ export LDBDIR
+fi
+
rm -rf tests/tmp/db
mkdir -p tests/tmp/db
@@ -10,4 +15,4 @@ sleep 2
if pidof slapd > /dev/null; then
killall -9 slapd
fi
-slapadd -f tests/slapd.conf < tests/init.ldif || exit 1
+slapadd -f $LDBDIR/tests/slapd.conf < $LDBDIR/tests/init.ldif || exit 1